apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: neon-vortex
  namespace: flux-system
spec:
  imageRepositoryRef:
    name: neon-vortex
  policy:
    semver:
      range: '>=1.0.0'
  filterTags:
    pattern: '^v(?P<version>[0-9]+\.[0-9]+\.[a-f0-9]+)$'
    extract: '$version'
